Reward market detail
curl --request GET \
--url https://api.polynode.dev/v3/rewards/markets/{condition_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.polynode.dev/v3/rewards/markets/{condition_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.polynode.dev/v3/rewards/markets/{condition_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reward_semantics": "<string>",
"data": {
"count": 1,
"data": [
{
"condition_id": "<string>",
"event_slug": "<string>",
"image": "<string>",
"market_competitiveness": 123,
"market_slug": "<string>",
"question": "<string>",
"rewards_config": [
{
"asset_address": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"rate_per_day": 123,
"id": 123,
"total_days": 1,
"total_rewards": 123
}
],
"rewards_max_spread": 123,
"rewards_min_size": 123,
"tokens": [
{
"outcome": "<string>",
"price": 123,
"token_id": "<string>"
}
]
}
],
"limit": 2,
"next_cursor": "<string>"
}
}Rewards
Reward Market Detail
Get public Polymarket reward configuration for one condition ID.
GET
/
v3
/
rewards
/
markets
/
{condition_id}
Reward market detail
Returns Polymarket’s public reward-market configuration for a single condition ID. This describes market reward settings; it is not per-wallet earned LP rewards.
Each detail row includes the condition, event and market slugs, question,
image, competitiveness, reward settings, and outcome token prices.
The seven nullable market-context fields on the
reward-market list are a list-route enrichment. This
detail route returns the reward configuration without that additional market
context.
Request
GET /v3/rewards/markets/{condition_id}
Path parameters
| Parameter | Type | Description |
|---|---|---|
condition_id | string | 0x + 64 hex condition ID |
Query parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
sponsored | boolean | false | Filter to sponsored reward markets |
next_cursor | string | — | Pagination cursor |
Example
curl "https://api.polynode.dev/v3/rewards/markets/0x0000c7fe300953933808d82cd4aa35dbc9f291f0b78ca9da43b0604883906c6c" \
-H "x-api-key: $POLYNODE_API_KEY"
{
"reward_semantics": "public Polymarket reward market configuration; this is not per-wallet earned LP rewards",
"data": {
"count": 1,
"limit": 100,
"data": [
{
"condition_id": "0x0000c7fe300953933808d82cd4aa35dbc9f291f0b78ca9da43b0604883906c6c",
"event_slug": "ia-02-house-margin-of-victory-2026",
"image": "https://polymarket-upload.s3.us-east-2.amazonaws.com/will-the-republican-party-win-the-popular-vote-in-the-2026-us-house-of-representatives-midterm-elections-by-6-or-more-KZdstWMJdb8e.png",
"market_competitiveness": 0,
"market_slug": "will-the-republican-party-candidate-win-the-2026-ia-02-house-election-by-6-9",
"question": "Will the Republican Party candidate win the 2026 IA-02 House election by 6%-9%?",
"rewards_config": [
{
"asset_address": "0x2791Bca1f2de4661ED88A30C99A7a9449Aa84174",
"end_date": "2500-12-31",
"id": 1490227,
"rate_per_day": 5,
"start_date": "2026-08-27",
"total_days": 173252,
"total_rewards": 0
}
],
"rewards_max_spread": 5.5,
"rewards_min_size": 20,
"tokens": [
{
"outcome": "Yes",
"price": 0.29,
"token_id": "24473378447612899353575382165317011629536764151843413452585009431556652189881"
},
{
"outcome": "No",
"price": 0.71,
"token_id": "54647080501201331455477326147811376064824100171608827092711080601004925467479"
}
]
}
],
"next_cursor": "LTE="
}
}
Response fields
| Field | Type | Description |
|---|---|---|
reward_semantics | string | Meaning note |
data | object | Reward-market configuration response |
Errors
| HTTP | When |
|---|---|
400 | Invalid condition ID format |
401 | Missing or invalid polynode API key |
502 | Temporary rewards data provider failure |
Authorizations
Path Parameters
0x-prefixed 32-byte condition ID
Query Parameters
Filter to sponsored reward markets
Pagination cursor

